# generátor pro čtení FASTA
def fasta_reader(file):
    with open(file) as f:
        # načteme hlavičku z první řádky..
        header, seq = next(f).strip(), ''
        # ..a pokračujeme druhou řádkou čili sekvencí k první hlavičce
        for line in f:
            line = line.strip()
            if line.startswith('>'):
                # yield údajů patřících předchozí sekvenci
                yield header, seq
                # pokračujeme další sekvencí
                header, seq = line, ''
            else:
                # není to hlavičková řádka => přilepíme to k sekvenci
                seq += line
        else:
            # yield poslední sekvence (for-in dočetl celý soubor, ale na konci není hlavička, tak neměl důvod poslední sekvenci vypsat)
            yield header, seq

# přímočaré použití v praxi
for hlavička, sekvence in fasta_reader('fasta.fa'):
    print(hlavička)
    print(sekvence)
    input('?')
